%define module	pp
%define name	python-%{module}
%define version	1.6.0
%define release	%mkrel 4

Summary:	Parallel Python
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{module}-%{version}.tar.xz
License:	BSD-like
Group:		Development/Python
Url:		http://www.parallelpython.com/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
%py_requires -d

%description
Parallel Python (pp) is a pure Python module that provides a parallel
code execution mechanism for SMP or cluster computers. It is lightweight,
easy to install, and integrates well with other Python software.

%prep
%setup -q -n %{module}-%{version}

%install
%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot}
%__mv %{buildroot}%{_bindir}/ppserver.py %{buildroot}%{_bindir}/ppserver
%__bzip2 -z doc/ppserver.1
%__install -D -m 644 doc/ppserver.1.bz2 %{buildroot}%{_mandir}/man1/ppserver.1.bz2

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING CHANGELOG README examples/
%_bindir/*
%py_puresitedir/*
%_mandir/man1/*


%changelog
* Sun Aug 11 2013 billybot <billybot>
- update

* Thu Sep 02 2010 Texstar <texstar at gmail.com>
- rebuild for python 2.6.6

* Wed Aug 18 2010 pcserver <pcserver at hush.com> 1.6.0-2pclos2010
- update package


